System.Data 2.0.0.0 System.Object

This class provides the basis for other strongly typed data source enumerators.

Provides a mechanism for enumerating all available instances of database servers within the local network.

- Constructor

  The class provides the basis for strongly typed enumerators such as .

  Creates a new instance of the class.

  2.0.0.0
- Method
  System.Data.DataTable

  The table returned by this method contains the following columns, all of which contain strings. Individual providers may add additional columns.

  Column ordinal

  Column

  Description

  0

  ServerName

  Name of the server.

  1

  InstanceName

  Name of the server instance. Depending on the provider, multiple instances can exist on a single server.

  2

  IsClustered

  Indicates whether the server is part of a cluster.

  3

  Version

  Version of the server. Exact format varies by provider.

  4

  FactoryName

  Name of the corresponding provider factory.

  Retrieves a containing information about all visible instances of the server represented by the strongly typed instance of this class.

  Returns a containing information about the visible instances of the associated data source.

  2.0.0.0